Bug 522638 - setroubleshoot: SELinux is preventing udev-acl.ck "getattr" access on /dev/.udev/db/\x2fdevices\x2fvirtual\x2fblock\x2fram12.
Summary: setroubleshoot: SELinux is preventing udev-acl.ck "getattr" access on /d...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:42e62cc4dc8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 21:48 UTC by 'j
Modified: 2009-09-11 12:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-11 12:43:32 UTC


Attachments (Terms of Use)

Description 'j 2009-09-10 21:48:56 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing udev-acl.ck "getattr" access on
/dev/.udev/db/\x2fdevices\x2fvirtual\x2fblock\x2fram12.

Detailed Description:

SELinux denied access requested by udev-acl.ck. It is not expected that this
access is required by udev-acl.ck and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:udev_tbl_t:s0
Target Objects                /dev/.udev/db/\x2fdevices\x2fvirtual\x2fblock\x2fr
                              am12 [ file ]
Source                        udev-acl.ck
Source Path                   /lib/udev/udev-acl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           udev-145-7.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-0.203.rc8.git2.fc12.i686 #1 SMP
                              Fri Sep 4 21:45:25 EDT 2009 i686 i686
Alert Count                   3
First Seen                    Thu 10 Sep 2009 12:59:50 PM CEST
Last Seen                     Thu 10 Sep 2009 06:24:44 PM CEST
Local ID                      45a02e00-59df-4160-9f0e-84cd96c9d2c4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252599884.740:131): avc:  denied  { getattr } for  pid=1470 comm="udev-acl.ck" path="/dev/.udev/db/\x2fdevices\x2fvirtual\x2fblock\x2fram12" dev=tmpfs ino=7617 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:udev_tbl_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252599884.740:131): arch=40000003 syscall=196 success=no exit=-13 a0=bfb6b25c a1=bfb69df8 a2=372ff4 a3=9d946f4 items=0 ppid=997 pid=1470 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="udev-acl.ck" exe="/lib/udev/udev-acl" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= consolekit_t ==============
allow consolekit_t udev_tbl_t:file getattr;

Comment 1 Daniel Walsh 2009-09-11 12:43:32 UTC
Please make sure udev-acl has the right context

restorecon -R -v /lib/udev

And update to the latest policy will fix this problem.


Note You need to log in before you can comment on or make changes to this bug.